Incident data model
The Incident shape in the Visual Sentinel REST API.
Fields
| Field | Type | Required | Description |
|---|---|---|---|
id | string (uuid) | No | |
title | string | No | |
description | string | No | |
status | string | No | One of: investigating, identified, monitoring, resolved, postmortem. |
severity | string | No | One of: critical, high, medium, low, info. |
monitorId | string (uuid) | No | |
startedAt | string (date-time) | No | |
resolvedAt | string (date-time) | No | |
createdAt | string (date-time) | No |
Used by
- List incidents:
GET /api/incidents - Get incident:
GET /api/incidents/{id}
Generated from the OpenAPI 3.1 specification at https://docs.visualsentinel.com/openapi.json.